org.apache.poi.hssf.dev

## Class FormulaViewer

- java.lang.Object
- - org.apache.poi.hssf.dev.FormulaViewer

-     public class FormulaViewer
      extends java.lang.Object

  FormulaViewer - finds formulas in a BIFF8 file and attempts to read them/display data from them. Only works if Formulas are enabled in "RecordFactory"
  Author:
    andy, Avik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormulaViewer()` Creates new FormulaViewer

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Method main pass me a filename and I'll try and parse the formulas from it
    `void` | `parseFormulaRecord(FormulaRecord record)` Method parseFormulaRecord
    `void` | `run()` Method run
    `void` | `setFile(java.lang.String file)` Method setFile
    `void` | `setList(boolean list)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormulaViewer

          public FormulaViewer()

      Creates new FormulaViewer

  - ### Method Detail

    - #### run

          public void run()
                   throws java.io.IOException

      Method run
      Throws:
        `java.io.IOException` - if the file contained errors

    - #### parseFormulaRecord

          public void parseFormulaRecord(FormulaRecord record)

      Method parseFormulaRecord
      Parameters:
        `record` - the record to be parsed

    - #### setFile

          public void setFile(java.lang.String file)

      Method setFile
      Parameters:
        `file` - the file to process

    - #### setList

          public void setList(boolean list)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Method main pass me a filename and I'll try and parse the formulas from it
      Parameters:
        `args` - pass one argument with the filename or --help
      Throws:
        `java.io.IOException` - if the file can't be read or contained errors

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.